Challan Search by Vehicle Number API
Introduction
This service is used for retrieving the Challan details imposed on a vehicle by entering the Vehicle number.
How to call the API
You will need to login before sending the request. You are required to pass the access token received from the login call, as the authorization header in the request.
API Input Guidelines
Vehicle Number is Mandatory parameter to be passed.
Sample Curl
curl --location --request POST 'https://signzy.tech/api/v2/patrons/..patronId../vehicleregistrations' \
--header 'Content-Type: application/json' \
--header 'Authorization: <token>' \
--data-raw '{
"task": "challanSearch",
"essentials": {
"vehicleNumber": "<Vehicle Number>"
}
}'Input Parameters
Parameter Name | Required/Optional | Description |
|---|---|---|
Content-Type | Required | application/json |
Authorization | Required | Contains the id parameter returned from the login step |
task | Required | Type of task Performed - "Challan Search" |
essentials | Required | Contains essentials input data |
essentials.vehicleNumber  | Required | The vehicle number on which the chalan has been imposed |
Sample Response
{
"essentials": {
"vehicleNumber": ""
},
"id": " ",
"patronId": " ",
"task": "challanSearch",
"result": {
"regNo": "8",
"message": "Challan Details Found",
"status_code": 200,
"challanDetails": [
{
"number": 1,
"challanNumber": "",
"offenseDetails": " ",
"challanPlace": "",
"challanDate": " ",
"state": " ",
"rto": "",
"accusedName": "",
"amount": 200,
"challanStatus": " "
}
]
}
}Response Parameter
Parameter Name | Description |
|---|---|
id | The unique token returned after login |
patronId | Unique Patron ID |
task | Task to be performed-Challan search |
result | This parameter contains the actual output |
result.regNo | Contains vehicle registration number |
result.message | Shows the message "Challan Details Found" |
result.status_code | Shows the status of response |
result.challanDetails.number | Shows the number of challans imposed |
result.challanDetails.challanNumber | Shows the particular challan number |
result.challanDetails.offenseDetails | Contains details of particular offense |
result.challanDetails.challanPlace | Informs about the place where the challan has been imposed |
result.challanDetails.challanDate | Informs about the date when the challan has been imposed Informs about the place where challan has been imposed Informs about the place where challan has been imposed |
result.challanDetails.state | Informs about the State where in the challan has been imposed |
result.challanDetails.rto | Contains the details of the RTO Authority |
result.challanDetails.accusedName | Informs about the name of the accused person |
result.challanDetails.amount | Shows the fine amount for infrignment |
result.challanDetails.challanStatus | Shows the status how the challan has been paid eg. cash |
Getting help
Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.
You can reach out to us at [email protected].